Loading...
Searching...
No Matches
janus_videoroom_helper Struct Reference
Collaboration diagram for janus_videoroom_helper:
[legend]

## Data Fields

struct janus_videoroom * | room
guint | id
GThread * | thread
int | num_subscribers
GHashTable * | subscribers
GAsyncQueue * | queued_packets
volatile gint | destroyed
janus_mutex | mutex
janus_refcount | ref

## Field Documentation

## destroyed

volatile gint janus_videoroom_helper::destroyed

## id

guint janus_videoroom_helper::id

## mutex

janus_mutex janus_videoroom_helper::mutex

## num_subscribers

int janus_videoroom_helper::num_subscribers

## queued_packets

GAsyncQueue* janus_videoroom_helper::queued_packets

## ref

janus_refcount janus_videoroom_helper::ref

## room

struct janus_videoroom* janus_videoroom_helper::room

## subscribers

GHashTable* janus_videoroom_helper::subscribers

## thread

GThread* janus_videoroom_helper::thread

The documentation for this struct was generated from the following file:

- janus_videoroom.c